org.apache.avro

## Class SchemaBuilder.UnionAccumulator<R>

- java.lang.Object
- - org.apache.avro.SchemaBuilder.UnionAccumulator<R>

- Enclosing class:
    SchemaBuilder

      public static final class SchemaBuilder.UnionAccumulator<R>
      extends Object

  Accumulates all of the types in a union. Add an additional type with `and()`. Complete the union with `endUnion()`

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SchemaBuilder.BaseTypeBuilder<SchemaBuilder.UnionAccumulator<R>>` | `and()` Add an additional type to this union
    `R` | `endUnion()` Complete this union

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### and

          public SchemaBuilder.BaseTypeBuilder<SchemaBuilder.UnionAccumulator<R>> and()

      Add an additional type to this union

    - #### endUnion

          public R endUnion()

      Complete this union

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.